net.sf.jasperreports.engine.fonts

## Class SimpleFontFamily

- java.lang.Object
- - net.sf.jasperreports.engine.fonts.SimpleFontFamily

- All Implemented Interfaces:
    java.lang.Cloneable, FontFamily, JRCloneable

      public class SimpleFontFamily
      extends java.lang.Object
      implements FontFamily, JRCloneable

  Version:
    $Id: SimpleFontFamily.java 6550 2013-09-30 15:51:04Z chicuslavic $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleFontFamily()`
    `SimpleFontFamily(JasperReportsContext jasperReportsContext)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `FontFace` | `getBoldFace()`
    `FontFace` | `getBoldItalicFace()`
    `java.lang.String` | `getBoldItalicPdfFont()` Deprecated. Replaced by `FontFace.getPdf()`.
    `java.lang.String` | `getBoldPdfFont()` Deprecated. Replaced by `FontFace.getPdf()`.
    `java.lang.String` | `getDefaultExportFont()`
    `java.lang.String` | `getExportFont(java.lang.String key)`
    `java.util.Map<java.lang.String,java.lang.String>` | `getExportFonts()`
    `FontFace` | `getItalicFace()`
    `java.lang.String` | `getItalicPdfFont()` Deprecated. Replaced by `FontFace.getPdf()`.
    `java.util.Set<java.lang.String>` | `getLocales()`
    `java.lang.String` | `getName()`
    `FontFace` | `getNormalFace()`
    `java.lang.String` | `getNormalPdfFont()` Deprecated. Replaced by `FontFace.getPdf()`.
    `java.lang.String` | `getPdfEncoding()`
    `java.lang.Boolean` | `isPdfEmbedded()`
    `boolean` | `isVisible()`
    `void` | `setBold(java.lang.String bold)` Deprecated. Replaced by `setBoldFace(SimpleFontFace)`.
    `void` | `setBoldFace(SimpleFontFace boldFace)`
    `void` | `setBoldItalic(java.lang.String boldItalic)` Deprecated. Replaced by `setBoldItalicFace(SimpleFontFace)`.
    `void` | `setBoldItalicFace(SimpleFontFace boldItalicFace)`
    `void` | `setBoldItalicPdfFont(java.lang.String boldItalicPdfFont)` Deprecated. Replaced by `SimpleFontFace.setPdf(String)`.
    `void` | `setBoldPdfFont(java.lang.String boldPdfFont)` Deprecated. Replaced by `SimpleFontFace.setPdf(String)`.
    `void` | `setDefaultExportFont(java.lang.String defaultExportFont)`
    `void` | `setExportFonts(java.util.Map<java.lang.String,java.lang.String> exportFonts)`
    `void` | `setItalic(java.lang.String italic)` Deprecated. Replaced by `setItalicFace(SimpleFontFace)`.
    `void` | `setItalicFace(SimpleFontFace italicFace)`
    `void` | `setItalicPdfFont(java.lang.String italicPdfFont)` Deprecated. Replaced by `SimpleFontFace.setPdf(String)`.
    `void` | `setLocales(java.util.Set<java.lang.String> locales)`
    `void` | `setName(java.lang.String name)`
    `void` | `setNormal(java.lang.String normal)` Deprecated. Replaced by `setNormalFace(SimpleFontFace)`.
    `void` | `setNormalFace(SimpleFontFace normalFace)`
    `void` | `setNormalPdfFont(java.lang.String normalPdfFont)` Deprecated. Replaced by `SimpleFontFace.setPdf(String)`.
    `void` | `setPdfEmbedded(java.lang.Boolean isPdfEmbedded)`
    `void` | `setPdfEncoding(java.lang.String pdfEncoding)`
    `void` | `setVisible(boolean isVisible)`
    `boolean` | `supportsLocale(java.util.Locale locale)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleFontFamily

          public SimpleFontFamily()

      See Also:
        `SimpleFontFamily(JasperReportsContext)`

    - #### SimpleFontFamily

          public SimpleFontFamily(JasperReportsContext jasperReportsContext)

  - ### Method Detail

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `FontFamily`

    - #### setName

          public void setName(java.lang.String name)

    - #### setNormal

          public void setNormal(java.lang.String normal)

      Deprecated. Replaced by `setNormalFace(SimpleFontFace)`.

    - #### setBold

          public void setBold(java.lang.String bold)

      Deprecated. Replaced by `setBoldFace(SimpleFontFace)`.

    - #### setItalic

          public void setItalic(java.lang.String italic)

      Deprecated. Replaced by `setItalicFace(SimpleFontFace)`.

    - #### setBoldItalic

          public void setBoldItalic(java.lang.String boldItalic)

      Deprecated. Replaced by `setBoldItalicFace(SimpleFontFace)`.

    - #### getNormalFace

          public FontFace getNormalFace()

      Specified by:
        `getNormalFace` in interface `FontFamily`

    - #### setNormalFace

          public void setNormalFace(SimpleFontFace normalFace)

    - #### getBoldFace

          public FontFace getBoldFace()

      Specified by:
        `getBoldFace` in interface `FontFamily`

    - #### setBoldFace

          public void setBoldFace(SimpleFontFace boldFace)

    - #### getItalicFace

          public FontFace getItalicFace()

      Specified by:
        `getItalicFace` in interface `FontFamily`

    - #### setItalicFace

          public void setItalicFace(SimpleFontFace italicFace)

    - #### getBoldItalicFace

          public FontFace getBoldItalicFace()

      Specified by:
        `getBoldItalicFace` in interface `FontFamily`

    - #### setBoldItalicFace

          public void setBoldItalicFace(SimpleFontFace boldItalicFace)

    - #### getNormalPdfFont

          public java.lang.String getNormalPdfFont()

      Deprecated. Replaced by `FontFace.getPdf()`.
      Specified by:
        `getNormalPdfFont` in interface `FontFamily`

    - #### setNormalPdfFont

          public void setNormalPdfFont(java.lang.String normalPdfFont)

      Deprecated. Replaced by `SimpleFontFace.setPdf(String)`.

    - #### getBoldPdfFont

          public java.lang.String getBoldPdfFont()

      Deprecated. Replaced by `FontFace.getPdf()`.
      Specified by:
        `getBoldPdfFont` in interface `FontFamily`

    - #### setBoldPdfFont

          public void setBoldPdfFont(java.lang.String boldPdfFont)

      Deprecated. Replaced by `SimpleFontFace.setPdf(String)`.

    - #### getItalicPdfFont

          public java.lang.String getItalicPdfFont()

      Deprecated. Replaced by `FontFace.getPdf()`.
      Specified by:
        `getItalicPdfFont` in interface `FontFamily`

    - #### setItalicPdfFont

          public void setItalicPdfFont(java.lang.String italicPdfFont)

      Deprecated. Replaced by `SimpleFontFace.setPdf(String)`.

    - #### getBoldItalicPdfFont

          public java.lang.String getBoldItalicPdfFont()

      Deprecated. Replaced by `FontFace.getPdf()`.
      Specified by:
        `getBoldItalicPdfFont` in interface `FontFamily`

    - #### setBoldItalicPdfFont

          public void setBoldItalicPdfFont(java.lang.String boldItalicPdfFont)

      Deprecated. Replaced by `SimpleFontFace.setPdf(String)`.

    - #### getPdfEncoding

          public java.lang.String getPdfEncoding()

      Specified by:
        `getPdfEncoding` in interface `FontFamily`

    - #### setPdfEncoding

          public void setPdfEncoding(java.lang.String pdfEncoding)

    - #### isPdfEmbedded

          public java.lang.Boolean isPdfEmbedded()

      Specified by:
        `isPdfEmbedded` in interface `FontFamily`

    - #### setPdfEmbedded

          public void setPdfEmbedded(java.lang.Boolean isPdfEmbedded)

    - #### getDefaultExportFont

          public java.lang.String getDefaultExportFont()

    - #### setDefaultExportFont

          public void setDefaultExportFont(java.lang.String defaultExportFont)

    - #### getExportFonts

          public java.util.Map<java.lang.String,java.lang.String> getExportFonts()

    - #### setExportFonts

          public void setExportFonts(java.util.Map<java.lang.String,java.lang.String> exportFonts)

    - #### getExportFont

          public java.lang.String getExportFont(java.lang.String key)

      Specified by:
        `getExportFont` in interface `FontFamily`

    - #### getLocales

          public java.util.Set<java.lang.String> getLocales()

    - #### setLocales

          public void setLocales(java.util.Set<java.lang.String> locales)

    - #### supportsLocale

          public boolean supportsLocale(java.util.Locale locale)

      Specified by:
        `supportsLocale` in interface `FontFamily`

    - #### isVisible

          public boolean isVisible()

      Specified by:
        `isVisible` in interface `FontFamily`

    - #### setVisible

          public void setVisible(boolean isVisible)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com